/*******************************************************************************
 *  Copyright (c) 2010 Association for Decentralized Information Management in
 *  Industry THTH ry.
 *  All rights reserved. This program and the accompanying materials
 *  are made available under the terms of the Eclipse Public License v1.0
 *  which accompanies this distribution, and is available at
 *  http://www.eclipse.org/legal/epl-v10.html
 *
 *  Contributors:
 *      VTT Technical Research Centre of Finland - initial API and implementation
 *******************************************************************************/
package org.simantics.databoard.parser.ast.value;

import java.util.Collections;
import java.util.List;

import org.simantics.databoard.parser.ast.value.visitor.AstValueVisitor;
import org.simantics.databoard.parser.ast.value.visitor.AstValueVisitorVoid;

public class AstArray implements AstValue {
	public static final AstArray EMPTY = new AstArray(Collections.<AstValue>emptyList());	
	
	public final List<AstValue> elements;

	public AstArray(List<AstValue> elements) {
		this.elements = elements;
	}

	@Override
	public <T> T accept(AstValueVisitor<T> v) {
		return v.visit(this);
	}

	@Override
	public void accept(AstValueVisitorVoid v) {
		v.visit(this);
	}	
}
